Subject: Re: draft-ietf-6man-slaac-renum: Interface Initialization

From: Fernando Gont <[email-masked]>
Date: Fri, 21 Aug 2020 12:11:34 -0300

Folks,

Same here. Any further input?

Thanks!
Fernando

On 29/7/20 00:49, Fernando Gont wrote:
> Folks,
> 
> As with my previous email 
> (https://mailarchive.ietf.org/arch/msg/ipv6/EM79rVMxFacHkilD6kglWikUdVs/), 
> the goal of this one is to have wg discussion about each of the 
> mitigations originally proposed in draft-gont-6man-slaac-renum.
> 
> 
> The following one proposes to change a "MAY" from RFC4861 into a 
> "SHOULD", essentially recommending routers to send up to 
> MAX_INITIAL_RTR_ADVERTISEMENTS unsolicited advertisements when an 
> interface becomes an RA-advertising interface, thus helping information 
> propagate in a timelier manner.
> 
> The proposes text/mitigation is:
> 
> ---- cut here ----
> 4.3.  Interface Initialization
> 
>     When an interface is initialized, it is paramount that network
>     configuration information is spread on the corresponding network
>     (particularly in scenarios where an interface has been re-
>     initialized, and the conveyed information has changed).  Thus, this
>     document replaces the following text from Section 6.2.4 of [RFC4861]:
> 
>        In such cases, the router MAY transmit up to
>        MAX_INITIAL_RTR_ADVERTISEMENTS unsolicited advertisements, using
>        the same rules as when an interface becomes an advertising
>        interface.
> 
>     with:
> 
>        In such cases, the router SHOULD transmit
>        MAX_INITIAL_RTR_ADVERTISEMENTS unsolicited advertisements, using
>        the same rules as when an interface becomes an advertising
>        interface.
> 
>     RATIONALE:
> 
>        *  Use of stale information can lead to interoperability problems.
>           Therefore, it is paramount that new configuration information
>           propagates in a timelier manner to all hosts.
> 
>     NOTE:
>        [I-D.ietf-v6ops-cpe-slaac-renum] specifies recommendations for CPE
>        routers to deprecate any stale network configuration information.
> ---- cut here ----
> 
> Any comments/thoughts?
> 
> Thanks!
> 
> Cheers,

-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 22 Aug 2020 12:24:55 +1200

>>        routers to deprecate any stale network configuration information.

I can't see any harm in this, at the SHOULD level. However, MUST wouldn't fly
and logically therefore the word "paramount" is too strong. Try "important"?

    Brian

---

From: Fernando Gont <[email-masked]>
Date: Fri, 21 Aug 2020 22:10:47 -0300

> and logically therefore the word "paramount" is too strong. Try "important"?

Makes sense. Will do.

Thanks!

Cheers,

---

From: Lorenzo Colitti <[email-masked]>
Date: Mon, 24 Aug 2020 15:34:03 +0900

SHOULD SGTM.

+1 to Brian's comments on "paramount" being too strong.

On Wed, Jul 29, 2020 at 3:14 PM Fernando Gont <[email-masked]> wrote:

> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: Timothy Winters <[email-masked]>
Date: Mon, 24 Aug 2020 09:23:04 -0400

I also think SHOULD makes sense.  FYI, most routers sent the initial 3 RAs.

~Tim